import { Item } from './item'

export class BackstagePass extends Item{
  constructor(sell_in, quality) {
    super(sell_in, quality)
    this.name = 'Backstage passes to a TAFKAL80ETC concert'
  }

  isBackStage() {
    return true
  }
  updateQuality() {
    if (this.quality >= 50) {
      return
    }
    if (this.sell_in < 11) {
      if (this.quality < 50) {
        this.quality = this.quality + 1
      }
    }
    if (this.sell_in < 6) {
      if (this.quality < 50) {
        this.quality = this.quality + 1
      }
    }
  }
  updateQualityAfterExpired() {
    if (this.quality < 50) {
      this.quality = this.quality + 1
    }
  }
}
